<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk+" version="2.18"/>
  <!-- interface-naming-policy project-wide -->
  <object class="GtkWindow" id="main_window">
    <property name="can_focus">False</property>
    <property name="border_width">8</property>
    <property name="title" translatable="yes">Fatdog64 Service Manager</property>
    <property name="window_position">center</property>
    <property name="default_width">600</property>
    <property name="default_height">300</property>
    <property name="icon">/usr/share/mini-icons/so.xpm</property>
    <child>
      <object class="GtkVBox" id="vbox1">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="spacing">8</property>
        <child>
          <object class="GtkAlignment" id="alignment1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="top_padding">4</property>
            <property name="bottom_padding">4</property>
            <property name="left_padding">4</property>
            <property name="right_padding">4</property>
            <child>
              <object class="GtkHBox" id="hbox1">
                <property name="visible">True</property>
                <property name="can_focus">False</property>
                <property name="spacing">8</property>
                <child>
                  <object class="GtkScrolledWindow" id="scrolledwindow1">
                    <property name="width_request">350</property>
                    <property name="visible">True</property>
                    <property name="can_focus">True</property>
                    <property name="hscrollbar_policy">automatic</property>
                    <property name="vscrollbar_policy">automatic</property>
                    <child>
                      <object class="GtkTreeView" id="serviceview">
                        <property name="visible">True</property>
                        <property name="can_focus">True</property>
                        <property name="model">servicestore</property>
                        <property name="headers_clickable">False</property>
                        <property name="search_column">0</property>
                        <child>
                          <object class="GtkTreeViewColumn" id="treeviewcolumn1">
                            <property name="title">Service Name</property>
                            <property name="expand">True</property>
                            <property name="sort_indicator">True</property>
                            <property name="sort_column_id">0</property>
                            <child>
                              <object class="GtkCellRendererText" id="cellrenderertext1"/>
                              <attributes>
                                <attribute name="text">0</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="treeviewcolumn2">
                            <property name="visible">False</property>
                            <property name="title" translatable="yes">Service File</property>
                            <property name="sort_indicator">True</property>
                            <property name="sort_column_id">1</property>
                            <child>
                              <object class="GtkCellRendererText" id="cellrenderertext2"/>
                              <attributes>
                                <attribute name="text">1</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="treeviewcolumn3">
                            <property name="title" translatable="yes">Start at Boot</property>
                            <property name="sort_indicator">True</property>
                            <property name="sort_column_id">2</property>
                            <child>
                              <object class="GtkCellRendererToggle" id="cellrenderertoggle1"/>
                              <attributes>
                                <attribute name="active">2</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                        <child>
                          <object class="GtkTreeViewColumn" id="treeviewcolumn4">
                            <property name="title" translatable="yes">Running</property>
                            <property name="sort_indicator">True</property>
                            <property name="sort_column_id">3</property>
                            <child>
                              <object class="GtkCellRendererToggle" id="cellrenderertoggle2"/>
                              <attributes>
                                <attribute name="active">3</attribute>
                              </attributes>
                            </child>
                          </object>
                        </child>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">False</property>
                    <property name="fill">True</property>
                    <property name="position">0</property>
                  </packing>
                </child>
                <child>
                  <object class="GtkFrame" id="service-details-frame">
                    <property name="visible">True</property>
                    <property name="can_focus">False</property>
                    <property name="label_xalign">0</property>
                    <child>
                      <object class="GtkAlignment" id="alignment2">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="top_padding">4</property>
                        <property name="bottom_padding">4</property>
                        <property name="left_padding">4</property>
                        <property name="right_padding">4</property>
                        <child>
                          <object class="GtkVBox" id="vbox3">
                            <property name="visible">True</property>
                            <property name="can_focus">False</property>
                            <property name="spacing">4</property>
                            <child>
                              <object class="GtkLabel" id="service-details-label">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="xalign">0</property>
                                <property name="yalign">0</property>
                                <property name="label" translatable="yes">Service details</property>
                                <property name="wrap">True</property>
                              </object>
                              <packing>
                                <property name="expand">True</property>
                                <property name="fill">True</property>
                                <property name="position">0</property>
                              </packing>
                            </child>
                            <child>
                              <object class="GtkToolbar" id="toolbar1">
                                <property name="visible">True</property>
                                <property name="can_focus">False</property>
                                <property name="icon_size">1</property>
                                <property name="icon_size_set">True</property>
                                <child>
                                  <object class="GtkToolButton" id="start-button">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="tooltip_text" translatable="yes">"Start" will attempt to start the service now.
If the service is already running, it will be restarted.</property>
                                    <property name="label" translatable="yes">Start</property>
                                    <property name="use_underline">True</property>
                                    <property name="stock_id">gtk-media-play</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="homogeneous">True</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkToolButton" id="stop-button">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="tooltip_text" translatable="yes">"Stop" will attempt to shut down the service if it currently running.</property>
                                    <property name="label" translatable="yes">Stop</property>
                                    <property name="use_underline">True</property>
                                    <property name="stock_id">gtk-media-stop</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="homogeneous">True</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkSeparatorToolItem" id="separatortoolitem1">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkToolButton" id="enable-button">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="tooltip_text" translatable="yes">"Enable" will start this service at every boot.</property>
                                    <property name="label" translatable="yes">Enable</property>
                                    <property name="use_underline">True</property>
                                    <property name="stock_id">gtk-apply</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="homogeneous">True</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkToolButton" id="disable-button">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="tooltip_text" translatable="yes">"Disable" will stop this service from being started at next boot.</property>
                                    <property name="label" translatable="yes">Disable</property>
                                    <property name="use_underline">True</property>
                                    <property name="stock_id">gtk-cancel</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="homogeneous">True</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkSeparatorToolItem" id="separatortoolitem2">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                  </packing>
                                </child>
                                <child>
                                  <object class="GtkToolButton" id="help-button">
                                    <property name="use_action_appearance">False</property>
                                    <property name="visible">True</property>
                                    <property name="can_focus">False</property>
                                    <property name="tooltip_text" translatable="yes">Show more detailed description of the service, if available.</property>
                                    <property name="label" translatable="yes">Help</property>
                                    <property name="use_underline">True</property>
                                    <property name="stock_id">gtk-help</property>
                                  </object>
                                  <packing>
                                    <property name="expand">False</property>
                                    <property name="homogeneous">True</property>
                                  </packing>
                                </child>
                              </object>
                              <packing>
                                <property name="expand">False</property>
                                <property name="fill">True</property>
                                <property name="position">1</property>
                              </packing>
                            </child>
                          </object>
                        </child>
                      </object>
                    </child>
                    <child type="label">
                      <object class="GtkLabel" id="service-details-frame-label">
                        <property name="visible">True</property>
                        <property name="can_focus">False</property>
                        <property name="label" translatable="yes">&lt;b&gt;Details&lt;/b&gt;</property>
                        <property name="use_markup">True</property>
                      </object>
                    </child>
                  </object>
                  <packing>
                    <property name="expand">True</property>
                    <property name="fill">True</property>
                    <property name="position">1</property>
                  </packing>
                </child>
              </object>
            </child>
          </object>
          <packing>
            <property name="expand">True</property>
            <property name="fill">True</property>
            <property name="position">0</property>
          </packing>
        </child>
        <child>
          <object class="GtkHButtonBox" id="hbuttonbox1">
            <property name="visible">True</property>
            <property name="can_focus">False</property>
            <property name="spacing">4</property>
            <child>
              <object class="GtkButton" id="close-button">
                <property name="label">gtk-close</property>
                <property name="use_action_appearance">False</property>
                <property name="visible">True</property>
                <property name="can_focus">True</property>
                <property name="receives_default">True</property>
                <property name="use_stock">True</property>
              </object>
              <packing>
                <property name="expand">False</property>
                <property name="fill">False</property>
                <property name="position">0</property>
              </packing>
            </child>
          </object>
          <packing>
            <property name="expand">False</property>
            <property name="fill">True</property>
            <property name="position">1</property>
          </packing>
        </child>
      </object>
    </child>
  </object>
  <object class="GtkWindow" id="progress_window">
    <property name="can_focus">False</property>
    <property name="border_width">30</property>
    <property name="title" translatable="yes">Working ...</property>
    <property name="window_position">center</property>
    <child>
      <object class="GtkLabel" id="progress-label">
        <property name="visible">True</property>
        <property name="can_focus">False</property>
        <property name="label" translatable="yes">label</property>
      </object>
    </child>
  </object>
  <object class="GtkListStore" id="servicestore">
    <columns>
      <!-- column-name servicename -->
      <column type="gchararray"/>
      <!-- column-name servicefile -->
      <column type="gchararray"/>
      <!-- column-name enabled -->
      <column type="gint"/>
      <!-- column-name running -->
      <column type="gint"/>
    </columns>
  </object>
</interface>
